Bug 478155 - MIGRATED_FROM_JIRA: Errors with Active Directory connections within LDAP-proxy.
MIGRATED_FROM_JIRA: Errors with Active Directory connections within LDAP-proxy.
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:04 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:04:22 EST
Proxying from AD is not completely possible. 

Test ad is bbu.org (intranet)

I try to authenticate with following config:

base dn:dc=bbu,dc=org
bind dn: uid=Administrator, ou=ldaptesting

When I try Directory preview in Penrose studio following lines are
writed to log:

FindHandler          [ 230] Can't find dc=bbu,dc=org
FindHandler          [  86]
+------------------------------------------------------------------------------+
FindHandler          [  87] | FIND RESULT |
FindHandler          [  89] | Path:                  |
FindHandler          [  97]
+------------------------------------------------------------------------------+
SearchHandler        [ 263] Entry "dc=bbu,dc=org" not found.
SearchHandler        [ 294] Can't find base entry dc=bbu,dc=org
ModuleManager        [ 153] Finding matching modules for
"dc=test,dc=org".
ModuleManager        [ 178] Found 0 module(s).
SearchHandler        [ 232] Search operation failed. RC=32
Additional Comments From fengelius dated Wed Sep 06 04:29:28 CDT 2006 
Penrose Server 1.0.4 config 

Additional Comments From fengelius dated Wed Sep 06 04:29:50 CDT 2006 
Penrose Studio Config

Additional Comments From fengelius dated Wed Sep 06 04:30:07 CDT 2006 
Error log

Additional Comments From endisd dated Mon Sep 11 16:20:18 CDT 2006 
Tomi,

Could you post the configuration files in partitions/bbutest directory? Thanks.

Endi

Additional Comments From endisd dated Fri Sep 15 17:23:43 CDT 2006 
Fixed in Penrose Server 1.0.5 and Penrose Studio 1.0.6.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => 'error_log',
          'reporter' => 'fengelius',
          'key' => 'PENROSE-173',
          'assignee' => 'endisd',
          'summary' => 'Errors with Active Directory connections within LDAP-proxy.',
          'id' => '10518',
          'updated' => '2008-08-08 10:14:36.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-09-13 00:00:00.0',
                             'sequence' => '17',
                             'name' => 'Penrose-1.0.5',
                             'released' => 'true',
                             'id' => '10087',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Proxying from AD is not completely possible. 

Test ad is bbu.org (intranet)

I try to authenticate with following config:

base dn:dc=bbu,dc=org
bind dn: uid=Administrator, ou=ldaptesting

When I try Directory preview in Penrose studio following lines are
writed to log:

FindHandler          [ 230] Can't find dc=bbu,dc=org
FindHandler          [  86]
+------------------------------------------------------------------------------+
FindHandler          [  87] | FIND RESULT |
FindHandler          [  89] | Path:                  |
FindHandler          [  97]
+------------------------------------------------------------------------------+
SearchHandler        [ 263] Entry "dc=bbu,dc=org" not found.
SearchHandler        [ 294] Can't find base entry dc=bbu,dc=org
ModuleManager        [ 153] Finding matching modules for
"dc=test,dc=org".
ModuleManager        [ 178] Found 0 module(s).
SearchHandler        [ 232] Search operation failed. RC=32',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-08-21 00:00:00.0',
                                 'sequence' => '16',
                                 'name' => 'Penrose-1.0.4',
                                 'released' => 'true',
                                 'id' => '10086',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-09-06 04:19:15.0',
          'environment' => 'Fedora Core 5, standard installation, java version "1.5.0_07", AD proxied from Windows 2003 SE.',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:04:25 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-173

Note You need to log in before you can comment on or make changes to this bug.